Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Body

application/json

Request body for creating a package

name
string
required
Minimum string length: 1
Example:

"Engineering Starter Kit"

approval_required
boolean
required
Example:

false

require_justification
boolean
required
Example:

false

automatic_order
boolean
required
Example:

false

delivery_setting
enum<string>
required
Available options:
PERSON,
OFFICE,
FLEXIBLE
Example:

"PERSON"

default_office_id
string<uuid>
Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

note
string
Example:

"Standard package for new engineering hires"

sku_ids
string<uuid>[]
rules
object[]

Response

Package created successfully

Response body after creating a package

id
string<uuid>
required
Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

name
string
required
Example:

"Engineering Starter Kit"

slug
string
required
Example:

"engineering-starter-kit"

active
boolean
required
Example:

true

approval_required
boolean
required
Example:

false

require_justification
boolean
required
Example:

false

automatic_order
boolean
required
Example:

false

it_closet
boolean
required
Example:

false

number_ordered
integer<int32>
required
Example:

0

number_deployed
integer<int32>
required
Example:

0

delivery_setting
enum<string>
Available options:
PERSON,
OFFICE,
FLEXIBLE
Example:

"PERSON"

note
string
Example:

"Standard package for new engineering hires"

default_office_id
string<uuid>
Example:

"3a68a467-8733-4c8d-a942-16ed7ec33018"

sku_ids
string<uuid>[]
rules
object[]
created_at
string<date-time>
updated_at
string<date-time>